#pragma once
#include "EntityState.h"
#include "CS_CurlyNemesisBlade.h"
extern const int CS_CurlySTATENAME_NEMESIS;
//技能：使用复仇女神
class CS_CurlyNemesis :
    public EntitySkillState
{
public:
    CS_CurlyNemesis();
    const wchar_t* GetSaveName() override;
    const wchar_t* GetFuncName() override;
    const wchar_t* GetCheckFuncName() override;
    void SubStep() override;
    void ChangeStateMsg(int stateID) override;
    std::list<std::weak_ptr<CS_CurlyNemesisBlade>> amList;
};

